local ChallengeScram = {} 

function ChallengeScram:new(o)
	o = o or {}
    setmetatable(o, self)
    self.__index = self 
    return o
end

function ChallengeScram:Init()
	local bHasConfigureFunction = false
	local strConfigureButtonText = ""
	local tDependencies = {
		-- "UnitOrPackageName",
	}
    Apollo.RegisterAddon(self, bHasConfigureFunction, strConfigureButtonText, tDependencies)
end

function ChallengeScram:OnLoad()
	Apollo.RegisterSlashCommand("scram", "OnScram", self)
end

function ChallengeScram:OnScram()
	for index, clgCurr in pairs(ChallengesLib.GetActiveChallengeList()) do
		if clgCurr:IsActivated() and not clgCurr:IsInCooldown() and not clgCurr:ShouldCollectReward() then
			ChallengesLib.AbandonChallenge(clgCurr:GetId())
		end
	end
end

local ChallengeScramInst = ChallengeScram:new()
ChallengeScramInst:Init()
